import request from '@/utils/request'

// 查询支付记录列表
export function listMallPayLog(query) {
  return request({
    url: '/mall/mallPayLog/list',
    method: 'get',
    params: query
  })
}

// 查询支付记录详细
export function getMallPayLog(id) {
  return request({
    url: '/mall/mallPayLog/' + id,
    method: 'get'
  })
}

// 新增支付记录
export function addMallPayLog(data) {
  return request({
    url: '/mall/mallPayLog',
    method: 'post',
    data: data
  })
}

// 修改支付记录
export function updateMallPayLog(data) {
  return request({
    url: '/mall/mallPayLog',
    method: 'put',
    data: data
  })
}

// 删除支付记录
export function delMallPayLog(id) {
  return request({
    url: '/mall/mallPayLog/' + id,
    method: 'delete'
  })
}

// 导出支付记录
export function exportMallPayLog(query) {
  return request({
    url: '/mall/mallPayLog/export',
    method: 'get',
    params: query
  })
}